<?xml version='1.0' encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		version="1.0"
                xmlns:xt="http://www.jclark.com/xt"
                extension-element-prefixes="xt">

<xsl:output method="html"
 doctype-public="-//W3C//DTD HTML 4.0 Transitional//EN"/>
<!--
<xsl:variable
name="imagesUrl">http://www.emn.fr/fekete/TEI/manuscrits/</xsl:variable>
-->
<xsl:variable name="imagesUrl">../</xsl:variable>

<xsl:template name="computeOffset">
  <xsl:param name="cote"/>
  <xsl:choose>
    <xsl:when test="$cote='B33'">7</xsl:when>
    <xsl:otherwise>3</xsl:otherwise>
  </xsl:choose>
</xsl:template>

<xsl:template match="/">
  <HTML>
    <HEAD>
     <TITLE><xsl:text>Lettre n </xsl:text>
  <xsl:apply-templates select="//idno[@type='numero']"/>
     </TITLE>
    </HEAD>
   <BODY>
    <H1>
<xsl:value-of select="//titleStmt/title[2]"/>
    </H1>
    <H2>
<xsl:text>Registre </xsl:text>
<xsl:apply-templates select="//idno[@type='cte']" mode="TITLE"/>
<xsl:if test="//idno[@type='numero']">
  <xsl:text> Lettre n </xsl:text>
  <xsl:apply-templates select="//idno[@type='numero']"/>
</xsl:if>
    </H2>
    <DIV STYLE="BORDER-RIGHT: black 3px solid;">
    <A NAME="intro"></A>
    <xsl:apply-templates select="//body"/>
    </DIV>
  </BODY></HTML>
</xsl:template>

<xsl:template match="docDate">
  <H2><xsl:apply-templates/>
<xsl:if test="@value">
  <xsl:text> [</xsl:text><xsl:value-of select="@value"/><xsl:text>]</xsl:text>
</xsl:if>
</H2>
</xsl:template>

<xsl:template match="lb">
  <SPAN>
  <BR/>
  <xsl:choose>
  <xsl:when test="@n">
  <xsl:element name="A">
   <xsl:attribute name="NAME">t<xsl:value-of select="@n"/></xsl:attribute>
   <xsl:text>[</xsl:text><xsl:value-of select="@n"/><xsl:text>] </xsl:text>
  </xsl:element>
  </xsl:when>
  </xsl:choose>
  </SPAN>
</xsl:template>

<xsl:template match="pb">
 <xsl:variable name="offset">
  <xsl:call-template name="computeOffset">
    <xsl:with-param name="cote" select="//idno[@type='cte']"/>
  </xsl:call-template>
 </xsl:variable>
<xsl:if test="@n">
  <xsl:element name="A">
   <xsl:attribute name="HREF">
<xsl:value-of select="$imagesUrl"/><xsl:value-of
select="//idno[@type='cte']"/>/AD44_<xsl:value-of
select="//idno[@type='cte']"/>_F<xsl:value-of
select="format-number(substring-before(@n,' ')+$offset+number(contains(@n,'verso')),'000')"/>_0001.djvu</xsl:attribute>
   <xsl:attribute name="TARGET">manuscrit</xsl:attribute>
   <xsl:text>&lt;</xsl:text><xsl:value-of select="@n"/><xsl:text>&gt;</xsl:text>
  <xsl:apply-templates/>
  </xsl:element>
</xsl:if>
</xsl:template>

<xsl:template match="note"/>

<xsl:template match="del"/>

<xsl:template match="sic">
  <SPAN>
  <xsl:apply-templates/>
   <SMALL><xsl:text>[sic</xsl:text>
   <xsl:if test="@corr">
    <xsl:text>, pour "</xsl:text>
    <xsl:value-of select="@corr"/>
    <xsl:text>"</xsl:text>
   </xsl:if>
   <xsl:text>]</xsl:text>
   </SMALL>
  </SPAN>
</xsl:template>

<xsl:template match="gap">
 <xsl:text>...</xsl:text>
</xsl:template>

<xsl:template match="hi[@rend='margin']">
  <SPAN style="float: right; clear: right; border: 1px solid blue; ">
  <xsl:apply-templates/>
  </SPAN>
</xsl:template>

<xsl:template match="abbr">
  <EM><xsl:apply-templates/></EM>
</xsl:template>

<xsl:template match="abbr[@expan]">
  <EM><xsl:value-of select="@expan"/><xsl:text> </xsl:text></EM>
</xsl:template>

<xsl:template match="unclear">
 <SPAN  style="color: red;">
 <xsl:text>[?</xsl:text><xsl:apply-templates/><xsl:text>?]</xsl:text></SPAN>
</xsl:template>

<xsl:template match="signed">
  <P ALIGN="left"><xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="q">
 <SPAN>
  <xsl:text>&#171; </xsl:text>
  <xsl:apply-templates/>
  <xsl:text> &#187;</xsl:text>
 </SPAN>
</xsl:template>

<xsl:template match="index">
  <xsl:element name="A">
   <xsl:attribute name="HREF"><xsl:text>../glossaire.html#t</xsl:text><xsl:value-of select="@level1"/></xsl:attribute>
   <xsl:attribute name="TARGET">index</xsl:attribute>
   <xsl:text>*</xsl:text>
  </xsl:element>
</xsl:template>

</xsl:stylesheet>
