<?xml version='1.0' encoding="iso-8859-1"?>
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/TR/WD-xsl" 
	xmlns:fo="http://www.w3.org/TR/REC-html40"
	result-ns="fo">

<xsl:template match="*"><xsl:apply-templates/></xsl:template>
<xsl:template match="text()"><xsl:value-of select="."/></xsl:template>

<xsl:template match="/">
  <HTML>
    <HEAD>
     <TITLE>
  <xsl:apply-templates select="//idno[@type='numero']"/>
     </TITLE>
    </HEAD>
   <BODY>
    <H1>
<xsl:value-of select="//titleStmt/title[2]"/>
    </H1>
    <H2>
<xsl:text>Registre </xsl:text>
<xsl:apply-templates select="//idno[@type='cte']" mode="TITLE"/>
<xsl:if test="//idno[@type='numero']">
  <xsl:text> Lettre n </xsl:text>
  <xsl:apply-templates select="//idno[@type='numero']"/>
</xsl:if>
    </H2>
    <DIV STYLE="BORDER-RIGHT: black 3px solid;">
    <A NAME="intro"></A>
    <xsl:apply-templates select="//body"/>
    </DIV>
  </BODY></HTML>
</xsl:template>

<xsl:template match="docDate">
  <H2><xsl:apply-templates/>
<xsl:if test="@value">
 [</xsl:text><xsl:value-of select="@value"/><xsl:text>]
</xsl:if>
</H2>
</xsl:template>

<xsl:template match="lb">
  <SPAN>
  <BR/>
  <xsl:if test="@n">
  <xsl:element name="A">
   <xsl:attribute name="NAME"><xsl:value-of select="@n"/></xsl:attribute>
   <xsl:text>[</xsl:text><xsl:value-of select="@n"/><xsl:text>] </xsl:text>
  </xsl:element>
  </xsl:if>
  <xsl:apply-templates/>
  </SPAN>
</xsl:template>

<xsl:template match="note"/>

<xsl:template match="del"/>

<xsl:template match="sic">
  <SPAN>
  <xsl:apply-templates/>
   <SMALL><xsl:text>[sic</xsl:text>
   <xsl:if test="@corr">
    <xsl:text>, pour "</xsl:text>
    <xsl:value-of select="@corr"/>
    <xsl:text>"</xsl:text>
   </xsl:if>
   <xsl:text>]</xsl:text>
   </SMALL>
  </SPAN>
</xsl:template>

<xsl:template match="gap">
 <xsl:text>...</xsl:text>
</xsl:template>

<xsl:template match="hi[@rend='margin']">
  <SPAN style="float: right; border: 1px solid blue; ">
  <xsl:apply-templates/>
  </SPAN>
</xsl:template>

<xsl:template match="abbr">
  <SPAN style="color: gray;"><xsl:apply-templates/></SPAN>
</xsl:template>

<xsl:template match="abbr[@expan]">
  <SPAN style="color: gray;"><xsl:value-of select="@expan"/><xsl:text> </xsl:text></SPAN>
</xsl:template>

<xsl:template match="unclear">
 <SPAN  style="color: red;">
  [?<SPAN><xsl:apply-templates/></SPAN>?]
 </SPAN>
</xsl:template>

<xsl:template match="signed">
  <P ALIGN="left"><xsl:apply-templates/></P>
</xsl:template>

<xsl:template match="q">
 <SPAN>
  <xsl:text>&#171; </xsl:text>
  <xsl:apply-templates/>
  <xsl:text> &#187;</xsl:text>
 </SPAN>
</xsl:template>

<xsl:template match="index">
  <xsl:element name="A">
   <xsl:attribute name="HREF"><xsl:text>../glossaire.html#</xsl:text><xsl:value-of select="@level1"/></xsl:attribute>
   <xsl:attribute name="TARGET">index</xsl:attribute>
   <xsl:text>*</xsl:text>
  </xsl:element>
</xsl:template>

</xsl:stylesheet>
