<?xml version='1.0' encoding="iso-8859-1"?>
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/TR/WD-xsl" 
	xmlns:fo="http://www.w3.org/TR/REC-html40"
	result-ns="fo">

<xsl:template match="*"><xsl:apply-templates/></xsl:template>
<xsl:template match="text()"><xsl:value-of select="."/></xsl:template>

<xsl:template match="/">
 <HTML>
  <HEAD>
   <TITLE>
    <xsl:apply-templates select=".//TITLESTMT/TITLE"/>
   </TITLE>
  </HEAD>
  <BODY>
    <xsl:apply-templates select="/TEI.2/TEIHEADER"/>
  </BODY>
 </HTML>
</xsl:template>

<xsl:template match="FILEDESC | PUBLICATIONSTMT | ENCODINGDESC | PROFILEDESC | REVISIONDESC">
  <H2><xsl:node-name/></H2>
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="TITLE | PRINCIPAL | AUTHORITY | SOURCEDESC | AVAILABILITY | IDNO | PROJECTDESC | EDITORIALDESC | LANGUSAGE | CHANGE">
  <DIV><xsl:node-name/> :
   <xsl:apply-templates/>
  </DIV>
</xsl:template>

<xsl:template match="CHANGE//*">
   <SPAN> <xsl:apply-templates/> </SPAN>
</xsl:template>

<xsl:template match="TAGUSAGE">
  <DIV>Utilisation de &lt;<xsl:value-of select="@GI"/>&gt; :
   <xsl:apply-templates/>
  </DIV>
</xsl:template>

</xsl:stylesheet>
