#!perl -w
use XML::Parser;
use File::DosGlob;

$parser = new XML::Parser();

@groups = ();
%groups = ();
$current_group = "";
@interp = ();
%interp_id = ();
%interp_group = ();
%interp_value = ();
%interp_resp = ();
%interp_type = ();
$current_document = "";
$document_ana = ();
$document_ana_type = ();
@documents = ();
%ana = ();
%ana_type = ();
$interp_cnt = 0;
$basename = "";

sub handle_start {
    my ($expat, $element, %atts) = @_;

    if ($element eq "interpGrp") {
	my $id = $atts{id};

	if (! exists $groups{$id}) {
	    push @groups, $id;
	    $groups{$id} = @interp;
#	 print "groups\{$id\} = $groups{$id}\n";
	}
	$current_group = $id;
    } elsif ($element eq "interp") {
	my $id = $atts{id};
	$interp_cnt++;

	if (! exists $interp_id{$id}) {
	    push @interp, $id;
	    $interp_id{$id} = $id;
	    $interp_group{$id} = $current_group;
	    $interp_value{$id} = $atts{value};
	    $interp_type{$id} =  $atts{type} || "";
	    $interp_resp{$id} =  $atts{resp} || "nd";
#	 print " group{$id} = $interp_value{$id}\n";
	}
    } else {
	if ($interp_cnt > 0 && defined $atts{ana}) {
	    my $anas = $atts{ana};
	    my $group = "";
	    if ($anas) {
		my $ana;
		foreach $ana (split(' ', $anas)) {
		    if (defined $groups{$ana}) {
#  		     print STDERR "Pour $current_document, ana=$ana ligne ";
#  		     print STDERR ($expat->current_line)+1;
#  		     print STDERR " nom d'InterpGrp\n";
			$group = $ana;
		    } else {
			my $count = ++${$document_ana}{$ana};
			if (defined $atts{type} &&
			    $atts{type} &&
			    !($interp_type{$ana} eq $atts{type})) {
			    print STDERR "\n$basename.tei:";
			    print STDERR ($expat->current_line-1);
			    print STDERR ": ana=$ana ligne $interp_type{$ana} != ";
			    print STDERR ($atts{type});
			    print STDERR "\n";
			}
			if ($interp_group{$ana} eq $group) {
			    $group = "";
			}
		    }
		}
	    }
	    if ($group) {
		print STDERR "$current_document:";
		print STDERR ($expat->current_line);
		print STDERR ":nom du groupe $group utilise sans interp\n";
	    }
#         print "analysis count for $ana = $count\n";
	}
    }
}


sub handle_end {}

sub handle_char {}

sub handle_init {}

sub handle_externent {
  my ($exp, $base, $sys) = @_;	# We don't use pub id

  return XML::Parser::file_ext_ent_handler($exp, "xtei/", $sys);  
#default_ext_ent_handler
}

$parser->setHandlers(Start => \&handle_start,
		     End   => \&handle_end,
		     Char  => \&handle_char,
		     Init  => \&handle_init,
		     ExternEnt => \&handle_externent);

#STDERR->autoflush(1);
print STDERR "Construction de la table d'interpretation\n";

while (@ARGV) {
  my @m = File::DosGlob::doglob(1,shift);
  @m = sort @m;
  while ($file = shift(@m)) {
    $current_document = $file;
    $document_ana = {};
    $document_ana_type = {};
    if ($current_document =~ /(rB3.-(\d+)-.*)\./) {
      push @documents,  $file;
      $ana{$file} = $document_ana;
      $ana_type{$file} = $document_ana_type;
      $basename = $1;
      $docnum = $2;
      print STDERR $docnum,",";
    }
    $parser->parsefile($file,ProtocolEncoding => 'ISO-8859-1');
  } 
}


print "Groupe; Intitule; Type; Analyse; ";
foreach $f (@documents) {
  print "$f; ";
}
print "\n";

foreach $id (@interp) {
  print "$interp_group{$id}; ";
  print "$id; $interp_type{$id}; $interp_value{$id};";
  foreach $f (@documents) {
    $document_ana = $ana{$f};
    $document_ana_type = $ana_type{$f};

if (defined ${$document_ana}{$id}) {
    my $count = ${$document_ana}{$id}; 
#  if ($count != 0) {
#     if (! (${document_ana_type}{$id} eq $interp_type{$id})) {
#       print STDERR "type mismatch file $f ana $id :";
#       print STDERR (${document_ana_type}{$id});
#       print STDERR "!= ";
#       print STDERR "$interp_type{$id}\n";
#     }
#   }
    print "$count; ";
} else {
    print "0; ";
}
  }
  print "\n";
}

print STDERR "Ok\n";
