<?xml version='1.0' encoding="iso-8859-1"?>
<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/TR/WD-xsl" 
	xmlns:fo="http://www.w3.org/TR/REC-html40"
	result-ns="fo">

<xsl:template match="*"><xsl:apply-templates/></xsl:template>
<xsl:template match="text()"><xsl:value-of select="."/></xsl:template>

<xsl:template match="/">
  <HTML>
   <HEAD>
    <TITLE>
     <xsl:apply-templates select=".//TITLESTMT/TITLE"/>
    </TITLE>
   </HEAD>
  <BODY>
    <xsl:apply-templates select=".//BODY"/>
    <xsl:apply-templates select=".//DIV[@TYPE='interp']"/>
  </BODY></HTML>
</xsl:template>

<xsl:template match="LB">
  <SPAN>
  <BR/>
  <xsl:if test="@N">
<!--    <xsl:text>[</xsl:text> -->
  [<xsl:value-of select="@N"/>]
  </xsl:if>
  <xsl:apply-templates/>
  </SPAN>
</xsl:template>

<xsl:template match="NOTE"/>

<xsl:template match="*[@ANA]">
  <A>
  <xsl:attribute name="HREF">#<xsl:value-of select="@ANA"/></xsl:attribute>
  <xsl:attribute name="NAME"><xsl:value-of select="@ANA"/>-<xsl:eval>ChildNumber(this)</xsl:eval></xsl:attribute>
  <xsl:apply-templates/>
  </A>
</xsl:template>

<xsl:template match="INTERPGRP">
  <DIV>
<!--     <xsl:value-of select="@ID"/> -->
   <xsl:apply-templates/>
  </DIV>
</xsl:template>

<xsl:template match="INTERP">
   <xsl:if test="ancestor(TEXT)/BODY//*[@ANA=context()/@ID]">
  <DIV>
    <A>
     <xsl:attribute name="NAME"><xsl:value-of select="@ID"/></xsl:attribute>
    <xsl:value-of select="@VALUE"/> :
    </A>
    <SPAN style="color: blue;">
     <xsl:for-each select="ancestor(TEXT)/BODY//*[@ANA=context()/@ID]">
      <A>
      <xsl:attribute name="HREF">#<xsl:value-of select="@ANA"/>-<xsl:eval>ChildNumber(this)</xsl:eval></xsl:attribute>
      <xsl:value-of select="."/>
      </A>
     </xsl:for-each>
    </SPAN>
  </DIV>
   </xsl:if>
</xsl:template>

</xsl:stylesheet>
