
use Date::Manip;

print STDERR "Loading subs.pl\n";

sub clean_lat1 {
    my $s = shift;
    $s =~ s/ç/&ccedil;/g;
    $s =~ s/é/&eacute;/g;
    $s =~ s/è/&egrave;/g;
    $s =~ s/â/&acirc;/g;
    $s =~ s/ë/&adieresis;/g;
    $s =~ s/ê/&ecirc;/g;
    $s =~ s/à/&agrave;/g;
    $s =~ s/ô/&ocirc;/g;
    return $s;
}

sub isDate {
    if ($_[0] =~ /^[0-9]{10}:[0-9]{2}:[0-9]{2}$/) {
#	print STDSTDERR "$_[0] est une date\n";
	return 1;
    }
#    print STDSTDERR "$_[0] n'est pas une date\n";
    return 0;
}

sub isDelta {
    if ($_[0] =~ /^[+-]?\d+(?:[:][+-]?\d+){6}$/) {
#	print STDSTDERR "$_[0] est un delta\n";
	return 1;
    }
#    print STDSTDERR "$_[0] n'est pas un deta\n";
    return 0;
}

sub analyze {
    my $name = shift;

    $name =~ s/^\s+//m;
    $name =~ s/\s+$//m;
    $name =~ s/\s+/ /mg;
    return $name;
}

sub analyze_date {
    my $date = analyze(shift);

    print STDSTDERR "\nanalyze_date($date) = " if $debug;
    if ($date =~ m|^(\d+)/(\d+)/(\d+)$|) {
	my $jour = $1;
	my $mois = $2;
	my $annee = $3;

	$annee += 1500 if ($annee < 100);
	my $regdate = ParseDate("$jour/$mois/$annee");
	if (! $regdate) {
	    print STDSTDERR "Impossible de regulariser la date\n";
	} else {
	    $date = $regdate;
	}
#	print STDSTDERR "Date interne: $date\n";
    } elsif ($date =~ m|^(\d+)/(\d+)$|) {
	my $mois = $1;
	my $annee = $2;

	$annee += 1500 if ($annee < 100);
	my $regdate = ParseDate("01/$mois/$annee");
	if (! $regdate) {
	    print STDSTDERR "Impossible de regulariser la date\n";
	} else {
	    $date = $regdate;
	}
#	print STDSTDERR "Date interne: $date\n";
    }
    print STDSTDERR "$date\n" if $debug;
    return $date;
}

sub retourne_date {
    my $date = shift;

    if ($date =~ m|^(\d+)/(\d+)/(\d+)$|) {
	my $annee = $1;
	my $mois = $2;
	my $jour = $3;

	$date = "";
	if ($jour =~ /^\d$/) {
	    $date .= "0";
	}
	$date .= "$jour/";
	if ($mois =~ /^\d$/) {
	    $date .= "0";
	}
	$date .= "$jour/";
	$date .= $annee;
    }
    return $date;
}

sub href {
    my $line = shift;

    return "<A HREF='html/$basename.html#t$line' TARGET='transcription'>$docnum-$line</A>\n";
}

sub capitalize {
    my @words = split(' ', shift);
    my $ret = "";
    foreach $word (@words) {
	$ret .= ucfirst($word);
	$ret .= " ";
    }
    return $ret;
}

1;
